## o3dgc 0~20131011

=== o3dgc_common_lib/CMakeLists.txt ===
project(O3DGC_COMMON_LIB CXX C)
include(${CMAKE_COMMON_INC})
set(LIB_TYPE "STATIC" CACHE STRING "STATIC, SHARED or MODULE?")
message("[o3dgc] \t LIB_TYPE " ${LIB_TYPE})
#set(CMAKE_CXX_FLAGS "-g -Wall")
add_library(o3dgc_common_lib ${PROJECT_CPP_FILES} ${PROJECT_C_FILES} ${PROJECT_INC_FILES} ${PROJECT_INL_FILES})

=== debian/changelog ===
o3dgc (0~20131011-5) unstable; urgency=medium

  * QA Upload.
  * Add patch to fix GCC-11 FTBFS (Closes: #984262)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add "Rules-Requires-Root: no"
  * d/copyright: Make d/* copyright Expat, cleanup
  * Simplify d/rules, debian/libo3dgc-dev.install
  * Remove un-needed d/*.dirs
  * Install test file as example
  * Add a simple autopkgtest
  * Add patch to fix help exit return code in example file

 -- Nilesh Patra <nilesh@debian.org>  Tue, 03 May 2022 06:13:29 +0000

o3dgc (0~20131011-4) unstable; urgency=medium

  * add Vcs-* (closes: #888667)
  * move Maintainer to QA

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Mar 2018 08:57:53 +0100

o3dgc (0~20131011-3) unstable; urgency=medium

  * [fc533f9] multiarchify

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Sep 2016 19:42:44 +0200

o3dgc (0~20131011-2) unstable; urgency=medium

  * build also dec_lib and enc_lib with -fPIC

 -- Rene Engelhard <rene@debian.org>  Sat, 02 May 2015 15:51:31 +0200

o3dgc (0~20131011-1) unstable; urgency=low

  * Initial release (Closes: #763455)

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Oct 2014 19:48:52 +0200

=== debian/control ===
Source: o3dgc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake, dh-exec
Standards-Version: 4.6.0
Section: libs
#Homepage: <insert the upstream URL, if relevant>
Vcs-Git: https://salsa.debian.org/debian/o3dgc.git
Vcs-Browser: https://salsa.debian.org/debian/o3dgc
Rules-Requires-Root: no

Package: libo3dgc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Open 3D Graphics Compression library (development)
 Open3DGC provides an efficient implementation of patent free MPEG tools for
 3D graphics compression.
 .
 This package contains the headers and the static library to use Open3DGC.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@ --buildsystem=cmake --sourcedirectory=src

override_dh_installexamples:
	cp src/test/src/main.cpp src/example.cpp
	dh_installexamples src/example.cpp
